Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlrt.adapter.defaultprovider
Interface Packet

public interface Packet

A buffer containing delimited data read from a socket connection.

Method Summary
`double` | `readDelimitedDouble()` Return the next delimited item from the packet as a double
`float` | `readDelimitedFloat()` Return the next delimited item from the packet as a float
`int` | `readDelimitedInt()` Return the next delimited item from the packet as an int
`long` | `readDelimitedLong()` Return the next delimited item from the packet as a long
`String` | `readDelimitedString()` Return the next String from the packet, as delimited by EOL or the delimiter character

Method Detail

### readDelimitedString

    public String readDelimitedString()

  Return the next String from the packet, as delimited by EOL or the delimiter character

  Returns:
    the next String from the packet

### readDelimitedInt

    public int readDelimitedInt()
                         throws NumberFormatException

  Return the next delimited item from the packet as an int

  Returns:
    the next item as an int

### readDelimitedLong

    public long readDelimitedLong()
                           throws NumberFormatException

  Return the next delimited item from the packet as a long

  Returns:
    the next item as a long

### readDelimitedFloat

    public float readDelimitedFloat()
                             throws NumberFormatException

  Return the next delimited item from the packet as a float

  Returns:
    the next item as a float

### readDelimitedDouble

    public double readDelimitedDouble()
                               throws NumberFormatException

  Return the next delimited item from the packet as a double

  Returns:
    the next item as a double

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD